Bug 520607 - Running smoltSendProfile throws traceback
Running smoltSendProfile throws traceback
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-01 08:51 EDT by Eduard Benes
Modified: 2010-01-25 13:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-25 13:41:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eduard Benes 2009-09-01 08:51:04 EDT
Description of problem:
Got following traceback with smoltSendProfile. The system is a F12 alpha live CD installed to the disk in a KVM virtual machine.

# smoltSendProfile 
	UUID: f9c3de22-ea6f-4d72-8c11-afa77de155da
	OS: Fedora release 11.91 (Rawhide)
	Default run level: 5
	Language: en_US.UTF-8
	Platform: i686
	BogoMIPS: 3989.74
	CPU Vendor: GenuineIntel
	CPU Model: QEMU Virtual CPU version 0.10.6
	CPU Stepping: 3
	CPU Family: 6
	CPU Model Num: 2
	Number of CPUs: 1
	CPU Speed: 1994
	System Memory: 467
	System Swap: 959
	Vendor: Unknown
	System: Unknown
	Form factor: unknown
	Kernel: 2.6.31-0.125.4.2.rc5.git2.fc12.i686
	SELinux Enabled: 1
	SELinux Policy: targeted
	SELinux Enforce: Enforcing

		 Devices
		=================================
		(None:None:None:None) platform, i8042, None, Platform Device (i8042)
		(None:None:None:None) platform, Unknown, None, Platform Device (pcspkr)
		(None:None:None:None) input, Unknown, None, Power Button
		(4115:184:6900:4352) pci, Unknown, VIDEO, GD 5446
		(None:None:None:None) input, Unknown, MOUSE, ImExPS/2 Generic Explorer Mouse
		(6900:4096:6900:1) pci, virtio-pci, NETWORK, Virtio network device
		(None:None:None:None) input, Unknown, MOUSE, Macintosh mouse button emulation
		(None:None:None:None) net, Unknown, NETWORK, Networking Interface
		(None:None:None:None) platform, Unknown, None, Platform Device (Fixed MDIO bus.0)
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(6900:4097:6900:2) pci, virtio-pci, OTHER, Virtio block device
		(6900:4098:6900:5) pci, virtio-pci, OTHER, Virtio memory balloon
		(None:None:None:None) platform, Unknown, None, Platform Device (vesafb.0)
		(None:None:None:None) serio, psmouse, None, i8042 AUX port
		(None:None:None:None) platform, serial8250, None, Platform Device (serial8250)
		(32902:28688:6900:4352) pci, ata_piix, IDE, 82371SB PIIX3 IDE [Natoma/Triton II]
		(32902:28947:6900:4352) pci, piix4_smbus, OTHER, 82371AB/EB/MB PIIX4 ACPI
		(None:None:None:None) input, Unknown, None, QEMU 0.10.6 QEMU USB Tablet
		(None:None:None:None) serio, atkbd, None, i8042 KBD port
		(None:None:None:None) scsi, sr, None, SCSI Device
		(None:None:None:None) pnp, rtc_cmos, None, AT Real-Time Clock
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) input, Unknown, KEYBOARD, AT Translated Set 2 keyboard
		(None:None:None:None) pnp, serial, None, 16550A-compatible COM port
		(None:None:None:None) pnp, i8042 aux, None, PS/2 Port for PS/2-style Mice
		(None:None:None:None) net, Unknown, NETWORK, Loopback device Interface
		(32902:4663:6900:4352) pci, Unknown, OTHER, 440FX - 82441FX PMC [Natoma]
		(1575:1:None:None) usb, usbhid, OTHER, USB HID Interface
		(32902:28704:6900:4352) pci, uhci_hcd, USB, 82371SB PIIX3 USB [Natoma/Triton II]
		(32902:28672:6900:4352) pci, Unknown, OTHER, 82371SB PIIX3 ISA [Natoma/Triton II]
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) pnp, i8042 kbd, None, IBM Enhanced (101/102-key, PS/2 mouse support)
		(None:None:None:None) virtio, virtio_blk, None, VirtIO Device (virtio1)
		(None:None:None:None) virtio, virtio_net, None, VirtIO Device (virtio0)
		(None:None:None:None) virtio, virtio_balloon, None, VirtIO Device (virtio2)

	Filesystem Information
		device mtpt type bsize frsize blocks bfree bavail file ffree favail
		===================================================================
		/dev/root / ext4 4096 4096 1770880 1195914 1177924 450560 365069 365069
		/dev/vda1 /boot ext3 1024 1024 198337 183311 173071 51200 51162 51162


Send this information to the Smolt server? (y/n) y
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 196, in <module>
    proxies=proxies)
  File "/usr/share/smolt/client/smolt.py", line 564, in send
    ('Content-type', 'application/x-www-form-urlencoded')))
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 954, in urlopen
    return self._retry(opts, retryfunc, url)
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 914, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 953, in retryfunc
    return PyCurlFileObject(url, filename=None, opts=opts)
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 1464, in __init__
    self._do_open()
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 1629, in _do_open
    self._set_opts()
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 1592, in _set_opts
    self.curl_obj.setopt(pycurl.POSTFIELDS, opts.data)
TypeError: invalid arguments to setopt

Version:
smolt-1.3-2.fc12.noarch
python-urlgrabber-3.9.0-4.fc12.noarch

Current result:
got traceback

Expected result:
no traceback
Comment 1 Eduard Benes 2009-09-01 08:54:36 EDT
Update to latest python-urlgrabber seems to fix this bugs. I agree to close the bug.

# rpm -q  python-urlgrabber
python-urlgrabber-3.9.0-8.fc12.noarch
Comment 2 Bug Zapper 2009-11-16 06:53:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mike McGrath 2010-01-25 13:41:33 EST
oops, sorry I never actually closed this.

Note You need to log in before you can comment on or make changes to this bug.